Bug 1107661 - [abrt] xorg-x11-server-Xorg: OsAbort(): Xorg killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xorg: OsAbort(): Xorg killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-server
Version: 7.0
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard: abrt_hash:ededdbd8f91326beb1ad2c3e51b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-10 12:20 UTC by Karel Volný
Modified: 2015-11-19 04:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 04:19:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
File: backtrace (10.97 KB, text/plain)
2014-06-10 12:20 UTC, Karel Volný
no flags Details
File: cgroup (153 bytes, text/plain)
2014-06-10 12:20 UTC, Karel Volný
no flags Details
File: core_backtrace (3.83 KB, text/plain)
2014-06-10 12:20 UTC, Karel Volný
no flags Details
File: dso_list (4.63 KB, text/plain)
2014-06-10 12:20 UTC, Karel Volný
no flags Details
File: environ (84 bytes, text/plain)
2014-06-10 12:20 UTC, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2014-06-10 12:20 UTC, Karel Volný
no flags Details
File: maps (22.46 KB, text/plain)
2014-06-10 12:20 UTC, Karel Volný
no flags Details
File: open_fds (48 bytes, text/plain)
2014-06-10 12:20 UTC, Karel Volný
no flags Details
File: proc_pid_status (1.03 KB, text/plain)
2014-06-10 12:20 UTC, Karel Volný
no flags Details
File: var_log_messages (3.52 KB, text/plain)
2014-06-10 12:20 UTC, Karel Volný
no flags Details
File: sosreport.tar.xz (7.40 MB, application/octet-stream)
2014-06-10 12:21 UTC, Karel Volný
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:2198 normal SHIPPED_LIVE Xorg server and driver bug fix and enhancement update 2015-11-19 08:04:34 UTC

Description Karel Volný 2014-06-10 12:20:32 UTC
Description of problem:
(don't know, just going through old abrt reports to see if I find duplicates or whatever)

Version-Release number of selected component:
xorg-x11-server-Xorg-1.15.0-7.el7

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/bin/Xorg :0 -background none -verbose -auth /run/gdm/auth-for-gdm-QkyySc/database -seat seat0 -nolisten tcp vt1
crash_function: OsAbort
executable:     /usr/bin/Xorg
kernel:         3.10.0-123.el7.x86_64
runlevel:       5 3
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 OsAbort at utils.c:1328
 #3 FatalError at log.c:914
 #4 OsSigHandler at osinit.c:147
 #6 _XSERVTransClose at /usr/include/X11/Xtrans/Xtrans.c:911
 #7 CloseWellKnownConnections at connection.c:520
 #8 AbortServer at log.c:767
 #9 FatalError at log.c:911
 #10 switch_to at lnx_init.c:72
 #11 xf86CloseConsole at lnx_init.c:308
 #12 ddxGiveUp at xf86Init.c:1092

Comment 1 Karel Volný 2014-06-10 12:20:34 UTC
Created attachment 907189 [details]
File: backtrace

Comment 2 Karel Volný 2014-06-10 12:20:36 UTC
Created attachment 907190 [details]
File: cgroup

Comment 3 Karel Volný 2014-06-10 12:20:38 UTC
Created attachment 907191 [details]
File: core_backtrace

Comment 4 Karel Volný 2014-06-10 12:20:40 UTC
Created attachment 907192 [details]
File: dso_list

Comment 5 Karel Volný 2014-06-10 12:20:42 UTC
Created attachment 907193 [details]
File: environ

Comment 6 Karel Volný 2014-06-10 12:20:44 UTC
Created attachment 907194 [details]
File: limits

Comment 7 Karel Volný 2014-06-10 12:20:46 UTC
Created attachment 907195 [details]
File: maps

Comment 8 Karel Volný 2014-06-10 12:20:48 UTC
Created attachment 907196 [details]
File: open_fds

Comment 9 Karel Volný 2014-06-10 12:20:50 UTC
Created attachment 907197 [details]
File: proc_pid_status

Comment 10 Karel Volný 2014-06-10 12:20:52 UTC
Created attachment 907198 [details]
File: var_log_messages

Comment 11 Karel Volný 2014-06-10 12:21:24 UTC
Created attachment 907199 [details]
File: sosreport.tar.xz

Comment 14 Tomas Pelka 2015-05-12 06:20:15 UTC
Possible dup of 1097916

Comment 15 Adam Jackson 2015-08-03 14:49:23 UTC
This is almost certainly fixed by:

http://cgit.freedesktop.org/xorg/xserver/commit/os/connection.c?id=7ea64fb4374504bd3d524fc08c90efdab9f253ea

Which is included in 1.17.2, so, devel ack.

Comment 17 errata-xmlrpc 2015-11-19 04:19:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-2198.html


Note You need to log in before you can comment on or make changes to this bug.